Update organisation
curl --request PUT \
--url https://api.meetsquad.ai/organisations/{orgId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corporation",
"homepageUrl": "https://acme.example.com",
"logoUrl": "https://acme.example.com/logo.png",
"billingCycleStartDate": "2025-03-26T22:35:46Z",
"billingCycleFlexCreditAllowance": 100000
}
'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}"
payload = {
"name": "Acme Corporation",
"homepageUrl": "https://acme.example.com",
"logoUrl": "https://acme.example.com/logo.png",
"billingCycleStartDate": "2025-03-26T22:35:46Z",
"billingCycleFlexCreditAllowance": 100000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme Corporation',
homepageUrl: 'https://acme.example.com',
logoUrl: 'https://acme.example.com/logo.png',
billingCycleStartDate: '2025-03-26T22:35:46Z',
billingCycleFlexCreditAllowance: 100000
})
};
fetch('https://api.meetsquad.ai/organisations/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"createdAt": "2025-03-26T22:35:46Z",
"accountType": "HOBBY",
"billingCycleStartDate": "2025-03-26T22:35:46Z",
"billingCycleFlexCreditAllowance": 100000,
"updatedAt": "2025-03-26T22:35:46Z",
"status": "ACTIVE",
"unprocessedFeedbackCount": 123,
"stripeCustomerId": "cus_1234567890",
"homepageUrl": "https://acme.example.com",
"logoUrl": "https://acme.example.com/logo.png"
}
}{
"error": {
"code": "INVALID_REQUEST",
"description": "One or more fields are invalid",
"fields": [
"title",
"description"
],
"validationErrors": {
"invalidFields": {
"title": {
"type": "too_small",
"message": "Title must be at least 3 characters long",
"path": [
"title"
]
},
"deadline": {
"type": "invalid_date",
"message": "Deadline must be a valid date in the future",
"path": [
"deadline"
]
}
}
}
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthenticated"
}
}{
"error": {
"code": "UNAUTHORISED_ERROR",
"description": "User is unauthorised"
}
}{
"error": {
"code": "NOT_FOUND",
"description": "The requested resource was not found"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"description": "An unexpected error occurred on the server"
}
}Organisations
Update organisation
Updates a specific organisation by ID
PUT
/
organisations
/
{orgId}
Update organisation
Authorizations
JWT authentication for organization-scoped endpoints.
Path Parameters
Organization ID
Body
application/json
Request schema for updating an organisation
Name of the organisation
Example:
"Acme Corporation"
URL to the organisation's homepage
Example:
"https://acme.example.com"
URL to the organisation's logo
Example:
"https://acme.example.com/logo.png"
Available options:
HOBBY, PROFESSIONAL, TEAM The start date of the current billing cycle.
Example:
"2025-03-26T22:35:46Z"
Number of flex credits available at the start of the current billing cycle.
Example:
100000
Available options:
ACTIVE, ARCHIVED Response
Organisation updated successfully
Response containing a single organisation
Organisation data
Show child attributes
Show child attributes
⌘I